import Request from '../common/request.js';
let request = new Request().http
 
 export function getIntegralGoodsList(data) {
 	 return request('/app/integral/getIntegralGoodsList',data,'GET');
 }
 export function getIntegralGoodsById(data) {
 	 return request('/app/integral/getIntegralGoodsById',data,'GET');
 }
 export function getUserIntegralLogsList(data) {
 	 return request('/app/integral/getUserIntegralLogsList',data,'GET');
 }
 export function getIntegralOrderList(data) {
 	 return request('/app/integral/getIntegralOrderList',data,'GET');
 }
 export function getIntegralOrderById(data) {
 	 return request('/app/integral/getIntegralOrderById',data,'GET');
 }
 
 export function createOrder(data) {
  	return request('/app/integral/createOrder',data,'POST','application/json;charset=UTF-8');
 }
 
 export function getUserSign() {
 	 return request('/app/integral/getUserSign',null,'GET');
 }
 
 export function doSign(data) {
 	 return request('/app/integral/sign',data,'POST','application/json;charset=UTF-8');
 }
 
 
 //添加积分 
 export function addIntegral(type) {   //类型 1浏览商品 2刷视频  
    let data={"type":type};
  	return request('/app/integral/addIntegral',data,'POST','application/json;charset=UTF-8');
 }
 
 
 //获取新人福利完成情况
 export function getNewcomerBenefits(type) {   
  	return request('/app/integral/getNewcomerBenefits',null,'GET','application/json;charset=UTF-8');
 }
 
 //获取邀请下载海报
 export function getDownloadPoster(type) {   
  	return request('/app/invited/getDownloadPoster',null,'GET');
 }
 
 //填写邀请码
 export function invited(data) {   
  	return request('/app/invited',data,'POST','application/json;charset=UTF-8');
 }
 
 
  
  
 
 
 
 
 
  
  
  